List all Emails

Returns a list of emails in the account mailbox. Emails are returned sorted by their date, with the most recent appearing first. Search mode applies when q, from, to, or any_email is set. Filter mode applies for browse-only queries (dates, folder scope, read/starred/attachment status).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^acc_(.*)$

ID of the Account (acc_xxx) to call the method on behalf of.

Query Params
string

Full-text search in the email subject and body (case-insensitive, partial match). Activates search mode: results may be approximate and non-exhaustive (provider-dependent, ~1000 results on Outlook). Combine with from, to, or any_email to narrow by participant address.

boolean
Defaults to false

Speed up the response by only returning the email metadata, excluding the body and attachments metadata.

string

Return messages sent to the given email address. For Outlook, some messages matching this filter may be missing due to a provider limitation. Use GET /threads/:thread_id to retrieve a specific conversation. Activates search mode: results may be approximate and non-exhaustive (provider-dependent, ~1000 results on Outlook).

string

Return messages sent from the given email address. For Outlook, some messages matching this filter may be missing due to a provider limitation. Use GET /threads/:thread_id to retrieve a specific conversation. Activates search mode: results may be approximate and non-exhaustive (provider-dependent, ~1000 results on Outlook).

string

Return messages where at least one of the given comma-separated email addresses appears as a participant (from, to, cc, or bcc). For Outlook, some messages matching this filter may be missing due to a provider limitation. Use GET /threads/:thread_id to retrieve a specific conversation. Activates search mode: results may be approximate and non-exhaustive (provider-dependent, ~1000 results on Outlook).

boolean

Filter to only return emails with or without attachments. For Outlook with meta_only=true, this uses the provider attachment flag, which excludes inline attachments.

boolean

Filter to only return starred or unstarred emails.

boolean

Filter to only return unread or read emails.

string

Filter to only return emails sent before the given datetime (exclusive). Must be an ISO 8601 UTC datetime (YYYY-MM-DDTHH:MM:SS.sssZ). For Gmail, only the date is used, the time is ignored.

string

Filter to only return emails that are not in any of the folders specified in the comma-separated list of folder IDs.

string

Filter to only return emails sent after the given datetime (exclusive). Must be an ISO 8601 UTC datetime (YYYY-MM-DDTHH:MM:SS.sssZ). For Gmail, only the date is used, the time is ignored.

number

An offset used for pagination, if supported by the provider, else use cursor.

string

A cursor used for pagination. If supported by the provider, use next_cursor given by the previous page of the list, else use offset.

number
≥ 1
Defaults to 20

The limit of items to be returned. The maximum allowed value depends on the provider.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json